Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACA

LTB-405

Department: SUPPORT Affected Products: ADTF Calibration Toolbox 2.8.1

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: CalibrationTB::Doc

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage:

Folgende Kundenfrage ist aufgetaucht:

"Is support version of A2L 1.60 only or less than 1.60 ? "

A2L kennen wir nur in Zusammenhang mit der Calibratioin-Toolbox. Hier kann man in der Doku aber keine Informationen bzgl.

unterschiedlichen Versionen finden.

Was können wir dem Kunden antworten?

Best regards - Beste Grüße

Ursula Groh

EB Assist ADTF Support-Team

Lösung:

Siehe #1007-8

Related issues:

Has duplicate Public Support - Support Request #833: Supported a2l & XCP vers... Closed

History

#1 - 2017-08-07 14:13 - hidden

- Department set to SUPPORT

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to CalibrationTB::Doc

- Customer set to ELEKTROBIT

- Affected Products ADTF Calibration Toolbox 2.8.1 added

- Platform Windows 7 64bit added

#2 - 2017-08-07 14:13 - hidden

- Support Level changed from 2nd Level to 3rd Level

#3 - 2017-08-08 09:20 - hidden

- Has duplicate Support Request #833: Supported a2l & XCP versions added

#4 - 2017-08-08 09:30 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Ursula,
https://support.digitalwerk.net/issues/1007#note-8


ich habe eine exakt gleiche Anfrage von einen anderen Kunden, leider kann ich sie derzeit nicht zu 100% beantworten.

Folgendes kann ich gerade sagen:

Seitens XCP Protokoll ist die Version 1.2 umgesetzt.

Bzgl. der A2L Version können wir mit Dateien bis Version 1.6 umgehen, allerdings werden nicht alle Features unterstützt, bis 1.2 sind wir in etwa

Feature Complete, bis 1.6 zwar alle Elemente allerdings nicht alle Funktionen. Das soll in der Calib TB 3.x nachgeholt werden.

Ich habe mir mittlerweile die aktuelle Spec geholt und versuche mich nach und nach einzuarbeiten.

Anschließend muss "Archälogie" betreiben um festzustellen, was wir im Detail unterstützen und was uns noch fehlt.

Leider fehlt mir/uns hierzu derzeit die Zeit wegen Entwicklung.

Reicht dir diese Antwort erst einmal ?

Sobald ich mehr habe, würde ich das natürlich nachreichen, kann ich aber derzeit nicht terminieren.

#5 - 2017-08-08 11:10 - hidden

Hallo Florian,

danke, ich werde das mal vorsichtig weiterleiten. Mal auf die Kundenreaktion abwarten, aber er wird sich dann eben gedulden müssen...

Ist in Ordnung, ich lass das Ticket bei mir auch einfach offen, dann kannst du es nachtragen, wenn du das CalibrationToolbox-Archäologiestudium

abgeschlossen hast. :)

Viele Grüße

Ursula

#6 - 2017-08-09 09:00 - hidden

- Status changed from Customer Feedback Required to In Progress

#7 - 2017-08-09 09:07 - hidden

Martin, kannst du hier bitte mal "Archälogie" betreiben, ich komme einfach nicht dazu und bin jetzt dann im Urlaub.

Wichtig wäre zu wissen, was wir nun unterstützen und was wir noch implementieren müssen.

Die aktuellen Specs sind eingecheckt.

PS: Es gibt noch eine zweite Anfrage, gleiches Thema, siehe verlinkten Ticket.

#8 - 2017-08-10 12:00 - hidden

Hallo,

soweit ich jetzt alles nachvollzogen habe unterstützen wir Prinzipiell A2l Files in Version 1.6. Die Interface relevanten Einstellungen sind aber gar

nicht in diesem Standard definiert sondern in den entsprechenden XCP Spezifikationen (als AML). Hier ein Auszug aus XCP 1.3:

"XCPplus" struct {

  uint;

  taggedstruct Common_Parameters ;    /* default parameters */

  taggedstruct {                      /* transport layer specific parameters */

                                      /* overruling of the default parameters */

    (block "XCP_ON_CAN" struct {

      struct CAN_Parameters ;         /* specific for CAN */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;

    (block "XCP_ON_SxI" struct {

      struct SxI_Parameters ;         /* specific for SxI */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;
    (block "XCP_ON_TCP_IP" struct {

      struct TCP_IP_Parameters ;      /* specific for TCP_IP */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;

    (block "XCP_ON_UDP_IP" struct {

      struct UDP_IP_Parameters ;      /* specific for UDP */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;

    (block "XCP_ON_USB" struct {

      struct USB_Parameters ;         /* specific for USB */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;

    (block "XCP_ON_FLX" struct {

      struct FLX_Parameters ;         /* specific for FlexRay */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;

  };

};

 Das Struct Common_Parameters beschreibt die XCP Parameter und auch die DAQ/STIM Einstellungen. Wie man sieht können diese Einstellungen

für jeden Transportlayer nochmal definiert werden. Die ADTF Calibration Toolbox parsed das zwar, ignoriert diese Abschnitte aber. Heißt es wird

immer nur das "globale" Common_Parameters Struct interpretiert und dessen Einstellungen für die Kommunikation verwendet.

Um das zu Ändern gibt es bereits ein Produktticket der Calibration Toolbox (ACALTB-405).

Weiter bekannte Einschränkungen gibt es im Moment nur für das Schreiben und Lesen von CHARACTERSITICS die aber in der Doku beschrieben

sind.

Grüße,

Martin

#9 - 2017-08-10 13:02 - hidden

- Status changed from In Progress to Customer Feedback Required

#10 - 2017-08-14 13:43 - hidden

Zeitraum für Feedback bis zum Freitag den 18.08.2017 verlängert.

#11 - 2017-08-17 11:38 - hidden

Herzlichen Dank für die ausführliche Antwort!

Kann geschlossen werden :)

#12 - 2017-08-17 16:05 - hidden

- Description updated
- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACALTB-405

@EB, können wir dieses Ticket public setzten?

#13 - 2017-08-17 16:43 - hidden

Geht in Ordnung.

#14 - 2017-08-18 09:03 - hidden

- Project changed from 7 to Public Support

- Subject changed from ADTFS-47445 Frage bzgl. A2L to ADTFS-47445 Supported a2l & XCP versions 

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

@Florian, Ticket kann geschlossen werden.

#15 - 2017-09-04 10:46 - hidden

- Status changed from To Be Closed to Closed

- Resolution changed from Product Issue Opened to Known Problem
